<div id="simpl-components">
  <h3 class="mt-0">Your Components</h3>

  <app-search-filters-form
    [isConformanceTest]="false"
    [storedItems]="_simplComponents"
    [statuses]="statuses"
    [itemsName]="'Components'"
    (filterItemsEvent)="onFilterSimplComponents($event)"
  ></app-search-filters-form>

  <p class="simpl-components-number">
    {{
      simplComponents.length > 0
        ? simplComponents.length +
          " Component" +
          (simplComponents.length > 1 ? "s" : "") +
          " available"
        : ""
    }}
  </p>

  <mat-grid-list [cols]="cols$ | async" rowHeight="2:1" gutterSize="48px">
    @for (simplComponent of filteredComponents; track simplComponent) {
      <mat-grid-tile>
        <mat-card
          class="simpl-components-card justify-content-between mat-elevation-z3"
        >
          <mat-card-header>
            <mat-card-title-group class="align-items-center">
              <mat-card-title>{{
                simplComponent.name + " " + simplComponent.version
              }}</mat-card-title>
            </mat-card-title-group>
          </mat-card-header>

          <div
            class="ec-chips-theme d-flex justify-content-between align-items-center"
          >
            <mat-chip
              highlighted
              class="slabs-chip"
              [color]="
                simplComponent.componentStatus === statuses.BUILT
                  ? 'primary'
                  : 'accent'
              "
            >
              {{ simplComponent.componentStatus }}
            </mat-chip>
            <span class="simpl-components-date">
              <i>{{ simplComponent.lastUpdate | date: "dd/M/yyyy" }}</i>
            </span>
          </div>

          <mat-card-actions class="justify-content-center align-items-center">
            <button
              mat-stroked-button
              color="primary"
              class="border-primary fs-16 fw-500"
              disabled
            >
              Interact
            </button>
          </mat-card-actions>
          <mat-card-footer></mat-card-footer>
        </mat-card>
      </mat-grid-tile>
    }

    <mat-grid-tile>
      <mat-card class="simpl-components-card justify-content-between">
        <mat-card-header
          class="d-flex justify-content-center align-items-center"
        >
          <mat-card-title>Add Custom Component</mat-card-title>
        </mat-card-header>

        <div
          mat-card-sm-image
          class="d-flex justify-content-center align-items-center"
        >
          <mat-icon class="add-icon">add</mat-icon>
        </div>

        <mat-card-content
          class="d-flex justify-content-center align-items-center"
        >
          Upload a new Custom Component.
        </mat-card-content>

        <mat-card-actions
          class="d-flex justify-content-center align-items-center"
        >
          <button mat-flat-button color="primary" disabled>Upload</button>
        </mat-card-actions>
        <mat-card-footer></mat-card-footer>
      </mat-card>
    </mat-grid-tile>
  </mat-grid-list>
</div>
